#include <iostream>

using namespace std;

int main()
{
    int o,p,q=0,a[q],szamjegy1,seged,szamjegy2,l=0,b[l];
    cin>>p;


    while (p>0)
    {
        szamjegy1=p%10;
        p/=10;
        a[q]=szamjegy1;
        q++;
    }

       for(int i=0,j=q-1;i<q/2;i++,j--) //szort
    {
        seged=a[i];
        a[i]=a[j];
        a[j]=seged;
    }
   // cout<<q<<endl;


    /*for(int i=0;i<q;i++)//kiiras rendesen
        cout<<a[i]<<" ";
    cout<<endl;*/

    int t1[q];
    for(int i=0;i<q;i++)
        t1[i]=a[i];




    cin>>o;

    while   (o>0)
    {
        szamjegy2=o%10;
        o/=10;
        b[l]=szamjegy2;
        l++;
    }


    for(int i=0,j=l-1;i<l/2;i++,j--)
    {
        seged=b[i];
        b[i]=b[j];
        b[j]=seged;
    }

    int t2[l];
    for(int i=0;i<l;i++)
        t2[i]=a[i];

    for(int i=0;i<l;i++)
        cout<<t1[i];
    cout<<endl;

    for(int i=0;i<l;i++)
        cout<<t2[i];
    cout<<endl;


    //cout<<l<<endl;




    /*for(int i=0;i<l;i++)//kiiras helyesen
        cout<<b[i]<<" ";
    cout<<endl;*/




    return 0;
}